%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/opencontainers/image-spec
Version:                1.1.0~rc4
%global tag             v1.1.0-rc4
%global distprefix      %nil

%gometa

%global common_description %{expand:
The OCI Image Format project creates and maintains the software shipping
container image format spec (OCI Image Format).}

%global golicenses      LICENSE
%global godocs          conversion.md RELEASES.md config.md GOVERNANCE.md\\\
                        project.md manifest.md HACKING.md image-index.md\\\
                        descriptor.md considerations.md media-types.md\\\
                        README.md annotations.md layer.md implementations.md\\\
                        spec.md image-layout.md EMERITUS.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        OCI Image Format Specification

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}
Patch1:         fix_unknown_fields_v1.patch

BuildRequires:  golang(gopkg.in/russross/blackfriday.v1)

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
sed -i 's|github.com/russross/blackfriday|gopkg.in/russross/blackfriday.v1|' $(find . -iname "*.go" -type f)

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0~rc4-1
- initial build
